import React, { Component } from "react";
import { withRouter } from "react-router-dom";
import compose from "recompose/compose";
import { withStyles } from "@material-ui/core/styles";

import AppBar from "@material-ui/core/AppBar";
import Toolbar from "@material-ui/core/Toolbar";
import Typography from "@material-ui/core/Typography";
import Button from "@material-ui/core/Button";
import IconButton from "@material-ui/core/IconButton";
import MenuIcon from "@material-ui/icons/Menu";

const styles = theme => ({
  root: {
    flexGrow: 1
  },
  menuButton: {
    marginRight: theme.spacing(2)
  },
  title: {
    flexGrow: 1
  }
});
class AppHeader extends Component {
  render() {
    const { classes } = this.props;

    return (
      <div className={classes.root}>
        <AppBar position="static">
          <Toolbar>
            <IconButton
              edge="start"
              className={classes.menuButton}
              color="inherit"
              aria-label="menu"
              Link
              href="/"
            >
              <img src={require('../../image/icon.png') }></img>
            </IconButton>
            <Typography variant="h6" className={classes.title}></Typography>
            <Button color="inherit" Link href="/LoginPage">
              Login
            </Button>
            <Button color="inherit" Link href="/RigisterPage">
              rigister
            </Button>
            <Button color="inherit" Link href="/RigisterShopPage">
              rigistershop
            </Button>
          </Toolbar>
        </AppBar>
      </div>
    );
  }
}
export default compose(withStyles(styles), withRouter)(AppHeader);
