import React, { Component } from "react";
import { withStyles } from "@material-ui/core/styles";
import { withRouter } from "react-router-dom";
import compose from "recompose/compose";
import Input from "@material-ui/core/Input";
import InputLabel from "@material-ui/core/InputLabel";
import InputAdornment from "@material-ui/core/InputAdornment";
import FormControl from "@material-ui/core/FormControl";
import TextField from "@material-ui/core/TextField";
import Grid from "@material-ui/core/Grid";
import AccountCircle from "@material-ui/icons/AccountCircle";
import AddPhotoAlternateIcon from "@material-ui/icons/AddPhotoAlternate";
import MailOutlineIcon from "@material-ui/icons/MailOutline";
import VpnKeyIcon from "@material-ui/icons/VpnKey";
import Button from "@material-ui/core/Button";
import Link from '@material-ui/core/Link';
import axios from "axios";

const styles = theme => ({
  root: {
    "& > *": {
      margin: theme.spacing(1),
      width: 200
    }
  }
});
class Login extends Component {
  state = {
    email: "",
    password: ""
  };

  handleChange = event => {
    console.log("name : ", event.target.name);
    console.log("value : ", event.target.value);

    this.setState({
      [event.target.name]: event.target.value
    });
  };

  render() {
    const { classes } = this.props;
    const { email, password } = this.state;

    return (
      <div>
        <div className="row center">
          <h2>เข้าสู่ระบบ</h2>
          <div>
            <TextField
              className={classes.margin}
              id="email"
              name="email"
              value={email}
              label="E_mail"
              variant="outlined"
              InputProps={{
                startAdornment: (
                  <InputAdornment position="start">
                    <MailOutlineIcon />
                  </InputAdornment>
                )
              }}
              onChange={this.handleChange}
            />
          </div>
          <br></br>
          <div>
            <TextField
              className={classes.margin}
              id="password"
              name="password"
              value={password}
              label="Password"
              type="password"
              autoComplete="current-password"
              variant="outlined"
              InputProps={{
                startAdornment: (
                  <InputAdornment position="start">
                    <VpnKeyIcon />
                  </InputAdornment>
                )
              }}
              onChange={this.handleChange}
            />
          </div>
          <br></br>
          <div>
            <Button variant="contained" color="primary" disableElevation>
              เข้าสู่ระบบ
            </Button>
          </div>
          <br/><br/>
          <div className="row center">
            <Link href="/RegisterPage" >
              ยังไม่ได้ลงทะเบียน
            </Link>
          </div>
        </div>
      </div>
    );
  }
}
export default compose(withStyles(styles), withRouter)(Login);
